<script setup lang="ts">
import AccordionTab from "primevue/accordiontab";
import HorizontalCard from "@/components/atoms/card/horizontal-card/HorizontalCard.vue";
import Accordion from "primevue/accordion";
import Flex from "@/components/atoms/container/Flex.vue";

defineProps<{ title: String }>();

</script>

<template>
  <HorizontalCard>
    <Accordion :lazy="true">
      <AccordionTab
          :header="title"
          headerClass="!m-0 !p-2 border-t-0 !border-b-2"
          contentClass="accordion-tab"
      >
        <Flex class="flex-col">
          <Flex class="flex-col p-container">
            <slot/>
          </Flex>
          <Flex class="gap-content p-container border-t-2">
            <slot name="footer"/>
          </Flex>
        </Flex>
      </AccordionTab>
    </Accordion>
  </HorizontalCard>
</template>